www.cendio.com

Bug 4788

Summary: Enable local cursor by default in the HTML5 client
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Web AccessAssignee: Peter ├ůstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: aaron@cendio.se
Version: trunkKeywords: aaron_tester, prosaic
Target Milestone: 4.1.1   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2013-09-02 14:17:37
No remote cursor should be used by default. There is a setting in noVNC called
"local cursor" which is disabled by default.

On operating systems which doesn't have a local cursor, Android on touch
devices for example, the HTML5 client should draw it's own cursor.

Upstream bug: https://github.com/kanaka/noVNC/issues/296
------- Comment #1 From cendio 2013-09-23 11:58:07 -------
Fixed in revision 27939.
------- Comment #2 From cendio 2013-09-24 11:29:10 -------
Updated in revision 27952.

Also moved the "HTML5 client should draw it's own cursor" part to bug 4813.
------- Comment #3 From cendio 2013-10-22 14:46:51 -------
Only seeing the local cursor on desktop, and the remote one on iPad. So looks
good to me; closing.